Skip to main content
`Ctrl`+`K`

# PCJacobiSetType

Causes the Jacobi preconditioner to use either the diagonal, the maximum entry in each row, of the sum of rows entries for the diagonal preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiSetType(PC pc, PCJacobiType type)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- type - `PC_JACOBI_DIAGONAL`, `PC_JACOBI_ROWL1`, `PC_JACOBI_ROWMAX`, `PC_JACOBI_ROWSUM`

## Options Database Key

- -pc_jacobi_type [diagonal, rowl1, rowmax, rowsum] - the type of diagonal matrix to use for Jacobi

## Developer Notes

Why is there a separate function for using the absolute value?

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetUseAbs()`, `PCJacobiGetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Implementations

PCJacobiSetType_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages